﻿/************************** Cookie Banner Styles **************************/
#app-modal {
    z-index: 9999;
}

.sg-cookie-container {
    padding: 28px;
    background: #fff;
    color: #323232 !important;
    position: fixed;
    bottom: 0;
    box-shadow: 0 0 5px 2px rgba(0, 0, 0, 0.25);
    z-index: 9999;
    /* Clear floats after the columns */
}

    .sg-cookie-container .sg-cookie-column {
        float: left;
    }

    .sg-cookie-container .sg-cookie-left {
        width: 70%;
    }

    .sg-cookie-container .sg-cookie-right {
        width: 30%;
        text-align: center;
    }

    .sg-cookie-container .sg-cookie-row:after {
        content: "";
        display: table;
        clear: both;
    }

    .sg-cookie-container h2, .sg-cookie-container h3, .sg-cookie-container p {
        text-align: left;
    }

    .sg-cookie-container h2 {
        margin: 0 0 1rem;
        font-size: 1.8rem;
        color: #323232;
        text-transform: none;
        font-weight: bold;
    }

        .sg-cookie-container h2 i {
            margin-right: 1rem;
        }

    .sg-cookie-container p {
        font-size: 0.875rem;
        padding-right: 14px;
        margin: 0;
        color: #323232;
    }

    .sg-cookie-container a {
        color: #3eb318;
        text-decoration: underline;
    }

    .sg-cookie-container .btn {
        font-size: 1.125rem;
        color: #3EB318;
        font-weight: 300;
        background: #3EB318;
        border-radius: 5px;
        width: 240px;
        padding: 10px 28px;
        border: 1px solid #3EB318 !important;
        display: inline-block;
        margin: 0 auto 14px;
        text-transform: none;
        box-shadow: none;
        cursor: pointer;
    }

        .sg-cookie-container .btn:hover {
            top: 0;
            border: 1px solid #3EB318 !important;
        }

        .sg-cookie-container .btn.btn-settings {
            border-color: #3EB318 !important;
            background: transparent !important;
        }

            .sg-cookie-container .btn.btn-settings:hover {
                background: transparent;
            }

        .sg-cookie-container .btn.btn-accept {
            margin-bottom: 0;
            font-weight: 600;
            color: #fff;
        }

            .sg-cookie-container .btn.btn-accept:hover {
                background: #2e8612 !important;
                border-color: #2e8612 !important;
            }

/* Banner Animation */
@keyframes fadeInUp {
    from {
        transform: translate3d(0, 140px, 0);
        opacity: 0.3;
    }

    to {
        transform: translate3d(0, 0, 0);
        opacity: 1;
    }
}

@-webkit-keyframes fadeInUp {
    from {
        transform: translate3d(0, 140px, 0);
        opacity: 0.3;
    }

    to {
        transform: translate3d(0, 0, 0);
        opacity: 1;
    }
}

.animated {
    animation-duration: 1.3s;
    animation-fill-mode: both;
    -webkit-animation-duration: 1.3s;
    -webkit-animation-fill-mode: both;
}

.animatedFadeInUp {
    opacity: 0;
}

.fadeInUp {
    opacity: 0;
    animation-name: fadeInUp;
    -webkit-animation-name: fadeInUp;
}

@media (max-width: 768px) {
    .sg-cookie-container {
        padding: 14px;
        color: #fff;
        position: relative;
    }

        .sg-cookie-container .sg-cookie-left,
        .sg-cookie-container .sg-cookie-right {
            width: 100%;
        }

        .sg-cookie-container p {
            margin-bottom: 14px;
        }

        .sg-cookie-container .btn {
            width: 100%;
            margin-bottom: 14px;
        }
}

@keyframes fadeInUp {
    from {
        transform: translate3d(0, -140px, 0);
        opacity: 0.3;
    }

    to {
        transform: translate3d(0, 0, 0);
        opacity: 1;
    }
}

@-webkit-keyframes fadeInUp {
    from {
        transform: translate3d(0, -140px, 0);
        opacity: 0.3;
    }

    to {
        transform: translate3d(0, 0, 0);
        opacity: 1;
    }
}

/************************** Basic Cookie Banner Micro Modal Styles **************************/
.modal__overlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.75);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 10;
}

.modal__container {
    background-color: transparent;
    padding: 0px;
    max-width: 600px;
    min-width: 418px;
    height: 75vh;
    width: 50%;
    border-radius: 0px;
    overflow: hidden;
    box-sizing: border-box;
    text-align: left;
    margin-top: 100px;
}

.modal__header {
    position: relative;
    display: block;
    height: 30px;
    margin-bottom: 0px;
    padding: 20px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    background: #f2f2f2;
}

@supports (display: flex) {
    .modal__header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        height: initial;
    }
}

.modal__title {
    position: absolute;
    top: 20px;
    left: 20px;
    margin-top: 0;
    margin-bottom: 0;
    font-weight: 700;
    font-size: 20px;
    line-height: 1.25;
    color: #323232;
    box-sizing: border-box;
    text-transform: none;
}

.modal__close {
    position: absolute;
    top: 20px;
    right: 20px;
    background: transparent;
    border: 0;
    cursor: pointer;
    margin: 0px;
    padding: 0px;
}

@supports (display: flex) {
    .modal__title {
        position: static;
    }

    .modal__close {
        position: static;
    }
}

.modal__header .modal__close:before {
    content: "\2715";
}

.modal-content-content {
    height: 63%;
    overflow-y: auto;
    padding: 20px;
    background: #fff;
}

.modal__content {
    display: block;
    overflow-y: visible;
    margin: 0;
    color: #323232;
    overflow-y: auto;
    overflow-x: hidden;
    padding: 0px;
}

    .modal__content p {
        margin-top: 0px;
        font-size: 0.875rem;
    }

.modal__btn {
    font-size: 1rem;
    padding-left: 1rem;
    padding-right: 1rem;
    padding-top: .5rem;
    padding-bottom: .5rem;
    background-color: #3EB318;
    color: #323232;
    border-radius: 5px;
    border-style: none;
    border-width: 0;
    cursor: pointer;
    -webkit-appearance: button;
    text-transform: none;
    overflow: visible;
    line-height: 1.15;
    margin: 0;
    will-change: transform;
    -moz-osx-font-smoothing: grayscale;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
    transition: -webkit-transform .25s ease-out;
    transition: transform .25s ease-out;
    transition: transform .25s ease-out, -webkit-transform .25s ease-out;
    float: right;
}

.modal__btn-primary {
    background-color: #3EB318;
    color: #fff;
}

.modal__footer {
    position: relative;
    display: block;
    height: 30px;
    margin-bottom: 0px;
    padding: 20px;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    background: #f2f2f2;
    text-align: right;
    box-sizing: content-box;
}

/************************** Demo Micro Modal Animation Style **************************/
@keyframes mmfadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes mmfadeOut {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
    }
}

@keyframes mmslideIn {
    from {
        transform: translateY(15%);
    }

    to {
        transform: translateY(0);
    }
}

@keyframes mmslideOut {
    from {
        transform: translateY(0);
    }

    to {
        transform: translateY(-10%);
    }
}

.micromodal-slide {
    display: none;
}

    .micromodal-slide.is-open {
        display: block;
        z-index: 9999;
    }

    .micromodal-slide[aria-hidden="false"] .modal__overlay {
        animation: mmfadeIn 0.3s cubic-bezier(0, 0, 0.2, 1);
    }

    .micromodal-slide[aria-hidden="false"] .modal__container {
        animation: mmslideIn 0.3s cubic-bezier(0, 0, 0.2, 1);
    }

    .micromodal-slide[aria-hidden="true"] .modal__overlay {
        animation: mmfadeOut 0.3s cubic-bezier(0, 0, 0.2, 1);
    }

    .micromodal-slide[aria-hidden="true"] .modal__container {
        animation: mmslideOut 0.3s cubic-bezier(0, 0, 0.2, 1);
    }

    .micromodal-slide .modal__container,
    .micromodal-slide .modal__overlay {
        will-change: transform;
    }

/************************** Custom styles for individual Micro Modals **************************/
.modal__container button {
    outline: none;
    cursor: pointer !important;
    position: absolute;
    right: 20px;
    top: 14px;
}

.modal__container h2.modal__title {
    color: #323232;
    text-align: left;
    width: 97%;
}

.modal__container h3 {
    font-size: 1.13rem;
    max-width: 79%;
    padding-right: 20px;
    line-height: 1.2;
    margin-bottom: 1rem;
    font-weight: 600;
    text-align: left;
    clear: none;
    padding-top: 0;
}

.always__active {
    float: right;
    color: #3EB318;
    font-weight: 600;
}

.modal__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.modal__title {
    margin-top: 0;
    margin-bottom: 0;
    font-weight: 600;
    font-size: 1.25rem;
    line-height: 1.25;
    color: #323232;
    box-sizing: border-box;
}

.modal__close {
    font-size: 24px;
}

.modal__content {
    color: rgba(0, 0, 0, 0.8);
}

.modal__btn {
    padding: 10px 15px;
    background-color: #3EB318;
    border-radius: 5px;
    -webkit-appearance: none;
    color: #fff;
    font-weight: 600;
}

hr {
    border: 0;
    height: 1px;
    background: #dbdbdb;
    margin: 2rem 0;
}

/************************** Custom styles for toggle YES/NO switch **************************/
.onoffswitch {
    position: relative;
    width: 72px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    float: right;
}

.onoffswitch-checkbox {
    position: absolute;
    opacity: 0;
    pointer-events: none;
}

.onoffswitch-label {
    display: block;
    overflow: hidden;
    cursor: pointer;
    border: none;
    border-radius: 20px;
    padding: 0;
}

.onoffswitch-inner {
    display: block;
    width: 200%;
    margin-left: -100%;
    transition: margin 0.3s ease-in 0s;
}

    .onoffswitch-inner:before,
    .onoffswitch-inner:after {
        display: block;
        float: left;
        width: 50%;
        height: 36px;
        padding: 0;
        line-height: 38px;
        font-size: 14px;
        color: white;
        font-weight: bold;
        box-sizing: border-box;
    }

    .onoffswitch-inner:before {
        content: "YES";
        padding-left: 10px;
        background-color: #3EB318;
        color: #FFFFFF;
    }

    .onoffswitch-inner:after {
        content: "NO";
        padding-right: 10px;
        background-color: #CCCCCC;
        color: #ffffff;
        text-align: right;
    }

.onoffswitch-switch {
    display: block;
    width: 30px;
    height: 30px;
    margin: 3px;
    background: #FFFFFF;
    position: absolute;
    top: 0;
    bottom: 0;
    right: 36px;
    border: none;
    border-radius: 20px;
    transition: all 0.3s ease-in 0s;
}

.onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-inner {
    margin-left: 0;
}

.onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-switch {
    right: 0px;
}

/************************** Mobile custom styles for individual Micro Modals **************************/
@media only screen and (min-device-width: 320px) and (max-device-width: 420px) {
    .modal__container {
        width: 95% !important;
        min-width: 95% !important;
    }

    @supports (display: flex) {
        .modal__container {
            width: 95% !important;
            max-width: 420px;
            min-width: 95% !important;
            height: 98vh;
        }
    }

    .modal__header {
        padding: 10px;
    }

    .modal-content-content {
        padding: 10px;
    }

    .modal__footer {
        padding: 10px;
        height: 34px;
    }

    .modal__content {
        -webkit-overflow-scrolling: touch;
    }

    .modal__container h2.modal__title {
        width: 100%;
    }

    .modal__container button {
        position: initial;
        width: 100%;
        margin: 10px 0 0;
    }

    .modal__container .modal__footer button {
        margin: 0px;
    }

    .modal__container h3 {
        max-width: 62%;
    }
}

@media only screen and (max-device-width: 320px) {
    .modal__container {
        max-width: 100%;
        width: 100%;
        min-width: 100%;
        height: 100%;
    }

        .modal__container button {
            position: relative;
            width: 100%;
            left: 0;
            margin: 0 0 10px;
        }

    .modal__footer {
        height: -10px;
    }

    .modal__container .modal__footer button {
        top: -10px;
    }
}

@media (max-height: 616px) {
    .modal-content-content {
        height: 50vh;
        padding-bottom: 50px;
    }

    .modal__container {
        height: auto;
    }

    .modal__footer {
        top: -50px;
    }
}

@media (max-height: 568px) {
    .modal-content-content {
        height: 60vh;
    }

    .modal__container {
        margin-top: 50px;
    }

    .modal__content {
        padding-bottom: 50px;
    }

    .modal__footer {
        top: -50px;
    }
}

.modal__container p a {
    color: #3EB318;    
}
